Loading...
Searching...
No Matches
BALL::Exception Namespace Reference
Foundation Classes » Common Definitions

## Classes

class | GeneralException
class | IndexUnderflow
class | SizeUnderflow
class | IndexOverflow
class | InvalidArgument
class | InvalidRange
class | InvalidSize
class | OutOfRange
class | InvalidFormat
class | IllegalSelfOperation
class | NullPointer
class | InvalidIterator
class | IncompatibleIterators
class | NotImplemented
class | IllegalTreeOperation
class | OutOfMemory
class | BufferOverflow
class | DivisionByZero
class | OutOfGrid
class | FileNotFound
class | IllegalPosition
class | ParseError
class | Precondition
class | Postcondition
class | InvalidOption
| Exception to be thrown if an invalid option is given. More...
class | TooManyErrors
| Exception to be thrown if too many errors occur, e.g. in ForceField. More...
class | TooManyBonds
| Exception to be thrown if too many bonds for one atom. More...
class | CUDAError
class | NoBufferAvailable
class | FormatUnsupported
class | NotInitialized
class | GlobalExceptionHandler
class | RingProcessorException

## Variables

BALL_EXPORT GlobalExceptionHandler | globalHandler

## Detailed Description

Exception

RingProcessor Exception

It is possible that due to invalid input or the failure of the algorithim, we can not assign the SSSR correctly. In such a case we throw a RingProcessorException

## Variable Documentation

## globalHandler

BALL_EXPORT GlobalExceptionHandler BALL::Exception::globalHandler

extern

Global static instance of GlobalExceptionHandler